﻿@font-face {
  font-family: Kanit-Extra-Light;
  src: url("../font/Kanit/Kanit-ExtraLight.ttf");
}
@font-face {
  font-family: Kanit-Light;
  src: url("../font/Kanit/Kanit-Light.ttf");
}
/* Variable */
html, body {
  margin: 0;
  padding: 0;
  height: 100%;
}

html {
  background-color: #FAFAFA;
}

body {
  font-family: Kanit-Light !important;
  font-size: 16px;
  color: #212121;
}

footer {
  background-color: #fff;
  padding: 0;
}
footer .navbar {
  background-color: inherit !important;
}
footer .content {
  min-height: 50px;
  padding-top: 1rem;
  padding-bottom: 0.5rem;
  padding-left: 15%;
  padding-right: 15%;
}

#wrapper {
  min-height: calc(100vh - 125px);
  -webkit-user-select: none;
  -webkit-touch-callout: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

aside.aside {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 40;
  height: 100vh;
  padding: 0;
  box-shadow: none;
  background: #2e323a;
  background-color: #003c6d;
}

aside.aside .aside-tools {
  display: flex;
  flex-direction: row;
  width: 100%;
  background-color: #00325b;
  /*background-color: #17191e;*/
  color: hsl(0deg, 0%, 100%);
  line-height: 3.25rem;
  height: 3.25rem;
  padding-left: 0.75rem;
  flex: 1;
}

aside.aside .aside-tools .aside-tools-label {
  justify-content: left;
  width: 100%;
  display: flex;
  white-space: nowrap;
  overflow: hidden;
  font-size: 24px;
}

aside.aside .aside-tools .aside-tools-button {
  justify-content: end;
  /*width: 100%;*/
  display: flex;
}

aside.aside .aside-tools .icon {
  margin-right: 0.75rem;
}

aside.aside .menu-list li a {
  color: #FFFFFF;
}

aside.aside .menu-list li a:hover {
  color: #363636;
}

aside.aside .menu-list li a.has-dropdown-icon {
  position: relative;
  padding-right: 3rem;
}

aside.aside .menu-list li a.has-dropdown-icon .dropdown-icon {
  position: absolute;
  top: 0.5rem;
  right: 0;
}

aside.aside .menu-list li ul {
  display: none;
  border-left: 0;
  background-color: #282c33;
  padding-left: 0;
  margin: 0 0 0.75rem;
}

aside.aside .menu-list li ul li a {
  padding: 0.75rem 0 0.75rem 0.75rem;
  font-size: 0.95rem;
}

aside.aside .menu-list li ul li a.has-icon {
  padding-left: 0;
}

aside.aside .menu-list li ul li a.is-active:not(:hover) {
  background: transparent;
}

aside.aside .menu-label {
  padding: 0 0.75rem;
  margin-top: 0.75rem;
  margin-bottom: 0.75rem;
  color: #fff;
}

aside.aside .menu-list .menu-item-label {
  /* color: #fff; */
}

aside.aside .menu-list .menu-item-label:hover {
  /* color: rgba(24, 28, 33, 0.06); */
}

html.has-aside-expanded .navbar-item.jb-aside-toggle {
  display: none;
}

/*nav bar*/
.navbar.is-fixed-bottom, .navbar.is-fixed-top {
  left: 0;
  position: fixed;
  right: 0;
  z-index: 30;
}

.navbar.is-fixed-bottom {
  bottom: 0;
}

.navbar.is-fixed-bottom.has-shadow {
  box-shadow: 0 -2px 0 0 hsl(0deg, 0%, 96%);
}

.navbar.is-fixed-top {
  top: 0;
}

.level-item-amount {
  width: 150px;
}

/*Section*/
section.section.is-title-bar {
  padding: 1.5rem;
  border-bottom: 1px solid rgba(24, 28, 33, 0.06);
}

section.section.is-title-bar ul li {
  display: inline-block;
  padding: 0 0.75rem 0 0;
  /*font-size: 1.5rem;*/
  color: hsl(0deg, 0%, 48%);
}

section.section.is-title-bar ul li:after {
  display: inline-block;
  content: ">";
  padding-left: 0.75rem;
}

section.section.is-title-bar ul li:not(:first-child) {
  font-weight: 900;
  color: hsl(0deg, 0%, 14%);
}

section.section.is-title-bar ul li:last-child {
  padding-right: 0;
  font-weight: 900;
  color: hsl(0deg, 0%, 14%);
}

section.section.is-title-bar ul li:last-child:after {
  display: none;
}

section.section.is-main {
  padding: 1.5rem;
}

.tabs {
  display: block;
  padding-left: 10px;
  padding-right: 10px;
}
.tabs a {
  border: none !important;
}
.tabs .tabs-label .tab-label a {
  color: #212121;
  margin-bottom: 0;
  padding: 0.5rem;
}
.tabs .tabs-label .tab-label.is-active {
  border-bottom: #485fc7 solid 2px !important;
}
.tabs .tabs-label .tab-label.is-active a {
  /*background-color: #EFF5FB !important;*/
  color: #212121 !important;
  font-weight: bold !important;
  border-top-left-radius: 6px !important;
  border-top-right-radius: 6px !important;
}
.tabs .tab-content {
  display: none;
  padding: 10px;
}
.tabs .tab-content.is-active {
  display: block;
}

.box {
  padding: 0.5rem;
}

.notification {
  padding: 1.25rem;
}

.field-label {
  padding-top: 0 !important;
}
.field-label .label {
  padding-top: 8px !important;
}

.field-left {
  flex-grow: 1;
  margin-right: 1rem;
}

.is-condition-horizontal {
  display: flex;
}

/* Checkbox */
.ctrl-checkbox {
  display: block;
  position: relative;
  padding-left: 35px;
  /*margin-bottom: 12px;*/
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.ctrl-checkbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.ctrl-checkbox .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
  font-size: 22px;
  border-radius: 4px;
  cursor: pointer;
}

.ctrl-checkbox:hover input ~ .checkmark {
  background-color: #ccc;
}

.ctrl-checkbox input:checked ~ .checkmark {
  background-color: #2196F3;
}

.ctrl-checkbox .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.ctrl-checkbox input:checked ~ .checkmark:after {
  display: block;
}

.ctrl-checkbox .checkmark:after {
  left: 9px !important;
  top: 4px !important;
  width: 7px !important;
  height: 12px !important;
  border: solid white !important;
  border-width: 0 3px 3px 0 !important;
  -webkit-transform: rotate(45deg) !important;
  -ms-transform: rotate(45deg) !important;
  transform: rotate(45deg) !important;
}

/* Switch */
.ctrl-switch .switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.ctrl-switch .switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.ctrl-switch .switch .label {
  position: absolute;
  cursor: pointer;
  top: 2px;
  left: 80px;
  right: 0;
  bottom: 0;
}

.ctrl-switch .switch .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.ctrl-switch .switch .slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.ctrl-switch .switch input:checked + .slider {
  background-color: #2196F3;
}

.ctrl-switch .switch input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

.ctrl-switch .switch input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.ctrl-switch .switch .slider.round {
  border-radius: 34px;
}

.ctrl-switch .switch .slider.round:before {
  border-radius: 50%;
}

@media screen and (min-width: 1024px) {
  .container {
    max-width: 100% !important;
    margin: 0 !important;
  }
  .container-content {
    max-width: 100% !important;
    padding: 1.5rem !important;
  }
  html .has-aside-expanded.has-aside-left.has-aside-expanded nav.navbar, html.has-aside-expanded.has-aside-left.has-aside-expanded body {
    padding-left: 15rem;
  }
  html.has-aside-left nav.navbar, html.has-aside-left body {
    transition: padding-left 250ms ease-in-out 50ms;
  }
  html.has-aside-expanded.has-aside-left aside.is-placed-left {
    display: block;
  }
  aside.aside {
    transition: left 250ms ease-in-out 50ms;
  }
  html.has-aside-transition body {
    overflow-x: hidden;
  }
  html.has-aside-transition body, html.has-aside-transition #app, html.has-aside-transition nav.navbar {
    width: 100vw;
    max-width: 100%;
  }
  html.has-aside-transition aside.aside {
    width: 17rem;
    display: block;
    left: -17rem;
    overflow-y: auto;
  }
  html.has-aside-transition aside.aside .image img {
    max-width: 4.95rem;
  }
  html.has-aside-transition aside.aside .menu-list li.is-active ul {
    display: block;
  }
  html.has-aside-transition aside.aside .menu-list a .icon {
    width: 3rem;
  }
  html.has-aside-transition aside.aside .menu-list a:hover span {
    color: #000;
  }
  html.has-aside-transition aside.aside .menu-list a .icon.has-update-mark:after {
    right: 0.65rem;
  }
  html.has-aside-transition aside.aside .menu-list a span.menu-item-label {
    display: inline-block;
  }
  html.has-aside-expanded aside.aside {
    left: 0;
  }
  html:not(.has-aside-expanded) .section.is-title-bar {
    padding: 1.5rem 1.5rem 1.5rem 4rem;
    transition: all 250ms ease-in-out;
  }
  html.has-aside-expanded .section.is-title-bar {
    margin-left: 0rem;
    transition: all 250ms ease-in-out;
  }
  html:not(.has-aside-expanded) .is-hero-bar {
    margin-left: 2.5rem;
    transition: all 250ms ease-in-out;
  }
  html.has-aside-expanded .is-hero-bar {
    margin-left: 0rem;
    transition: all 250ms ease-in-out;
  }
  html.has-aside-expanded .navbar#navbar-main {
    padding-left: 15rem;
    transition: all 250ms ease-in-out;
  }
  /* Notification */
  .icon.has-number .is-number {
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 1px;
    right: 1px;
    background-color: #ffe08a;
    border-radius: 9999px;
    text-align: center;
  }
}
@media screen and (max-width: 1023px) {
  #app, nav.navbar {
    transition: margin-left 250ms ease-in-out 50ms;
  }
  aside.aside {
    transition: left 250ms ease-in-out 50ms;
  }
  html.has-aside-transition body {
    overflow-x: hidden;
  }
  html.has-aside-transition body, html.has-aside-transition #app, html.has-aside-transition nav.navbar {
    width: 100vw;
    max-width: 100%;
  }
  html.has-aside-transition aside.aside {
    width: 17rem;
    display: block;
    left: -17rem;
    overflow-y: auto;
  }
  html.has-aside-transition aside.aside .image img {
    max-width: 4.95rem;
  }
  html.has-aside-transition aside.aside .menu-list li.is-active ul {
    display: block;
  }
  html.has-aside-transition aside.aside .menu-list a .icon {
    width: 3rem;
  }
  html.has-aside-transition aside.aside .menu-list a .icon.has-update-mark:after {
    right: 0.65rem;
  }
  html.has-aside-transition aside.aside .menu-list a span.menu-item-label {
    display: inline-block;
  }
  html.has-aside-expanded #app, html.has-aside-expanded nav.navbar {
    margin-left: 15rem;
  }
  html.has-aside-expanded aside.aside {
    left: 0;
  }
  .navbar-item.is-centered {
    justify-content: center;
    flex-grow: 1;
  }
  nav.navbar {
    display: flex;
    padding-right: 0;
  }
  nav.navbar .navbar-brand {
    flex: 1;
  }
  nav.navbar .navbar-brand.is-right {
    flex: none;
  }
  nav.navbar .navbar-item.no-left-space-touch {
    padding-left: 0;
  }
  nav.navbar .navbar-menu {
    position: absolute;
    width: 100vw;
    padding-top: 0;
    top: 3.25rem;
    left: 0;
  }
  nav.navbar .navbar-menu .navbar-item .icon:first-child {
    margin-right: 0.75rem;
  }
  nav.navbar .navbar-menu .navbar-item.has-dropdown > .navbar-link {
    background-color: hsl(0deg, 0%, 96%);
  }
  nav.navbar .navbar-menu .navbar-item.has-dropdown > .navbar-link .icon:last-child {
    display: none;
  }
  nav.navbar .navbar-menu .navbar-item.has-user-avatar > .navbar-link {
    display: flex;
    align-items: center;
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
  }
  .navbar-dropdown .navbar-item {
    padding-left: 3rem !important;
    padding-right: 1.5rem !important;
  }
  /* Notification */
  .icon.has-number .is-number {
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 8px;
    right: 14px;
    background-color: #ffe08a;
    border-radius: 9999px;
    text-align: center;
  }
}
@media screen and (max-width: 768px) {
  .button-fullwidth {
    display: flex;
    width: 100%;
  }
  .level-item-amount {
    margin-left: 0.5%;
    margin-right: 0.5%;
    width: 31%;
    display: inline-grid;
  }
  .tabs ul {
    justify-content: center;
  }
  .is-condition-horizontal {
    display: block !important;
  }
  .is-condition-center {
    justify-content: center !important;
  }
  .is-condition-center .field-label {
    text-align: right;
  }
  .field .field-label, .field .field-body {
    display: inline-block;
  }
  .field .field-label {
    width: 40%;
  }
  .field .field-body {
    width: calc(60% - 10px);
  }
}
